<!DOCTYPE html>
<html lang="en"
      xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layouts/main_layout}">
<head>
    <meta charset="UTF-8">
    <title>Orders</title>
</head>
<body>
<div layout:fragment="content" class="container">
    <h4 th:if="${orderList.size() == 0}">You haven't made any orders</h4>
    <div th:if="${orderList.size() > 0}" class="row">
        <div class="col-4">
            <div class="list-group">
                <a th:each="item : ${orderList}" href="#" th:href="@{/orders(id=${item.id})}"
                   class="list-group-item list-group-item-action"
                   th:classappend="${param.id == item.id ? 'active' : ''}">
                    <span th:text="${'Order #' + item.id}">Order #123</span>
                    <span th:text="${' (' + #temporals.format(item.dateCreated, 'yyyy.MM.dd') + ')'}">2021.12.2</span>
                </a>
            </div>
        </div>
        <div class="col-8">
            <h4 th:if="${order == null}">Order not selected</h4>
            <div th:if="${order != null}">
                <h4>
                    <span th:text="${'Order #' + order.id}">Order #123</span>
                    <span th:text="${' (' + #temporals.format(order.dateCreated, 'yyyy.MM.dd') + ')'}">2021.12.2</span>
                </h4>
                <table class="table table-striped">
                    <thead>
                    <th></th>
                    <th>Product</th>
                    <th>Price</th>
                    <th>Amount</th>
                    </thead>
                    <tbody>
                    <tr th:each="item, stat : ${order.items}">
                        <td th:text="${stat.count}">index</td>
                        <td th:text="${item.product.name}">product name</td>
                        <td th:text="${item.product.price}">99 $</td>
                        <td th:text="${item.quantity}">1</td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
</body>
</html>